GZEXE(1)

NIMI
gzexe - tiivistä ohjelmatiedostot paikallaan

YLEISKATSAUS
gzexe nimi ...

KUVAUS
Apuohjelman gzexe avulla voit tiivistää suoritettavat tiedostot (ohjelmatiedostot) paikallaan ja laajentaa ja suorittaa ne automaattisesti tarvitessasi (tosin suorituskyvyn kustannuksella). Jos esimerkiksi suoritat rivin “gzexe /usr/bin/gdb”, saat tulokseksi seuraavat kaksi tiedostoa:
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ on alkuperäinen ja /usr/bin/gdb itselaajentuva suoritettava tiedosto. Voit poistaa tiedoston /usr/bin/gdb~, kun olet varmistanut, että /usr/bin/gdb toimii oikein.

Tämä apuohjelma on hyödyllinen silloin, kun järjestelmässä on vähän levytilaa.

VALITSIMET

-d  Laajentaa suoritettava tiedostot tiivistämisen sijasta.

KATSO MYÖS
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

VAROITUS
Tiivistetty ohjelmatiedosto on (shell script). Tästä voi aiheutua turvallisuusriski. On huomattava, että tiivistetty ohjelmatiedosto käyttää polkumuuttujaa PATH löytääkseen ohjelman gzip ja eräitä muita apuohjelmia (basename, chmod, ln, mkdir, mktemp, rm, sleep ja tail).

BUGIT
gzexe yrittää säilyttää tiivistetyn ohjelmatiedoston alkuperäiset attribuutit, mutta voit joskus joutua korjaamaan niitä käsin käyttämällä ohjelmia chmod tai chown.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuukka Forssell <taf@jytol.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.